QwtPlotSeriesItem< T >(3)

NAME
QwtPlotSeriesItem< T > -

SYNOPSIS

#include <qwt_plot_seriesitem.h>

Inherits QwtPlotAbstractSeriesItem.

  Public Member Functions
QwtPlotSeriesItem (const QString &title=QString::null)
QwtPlotSeriesItem (const QwtText &title)
virtual ~QwtPlotSeriesItem ()
virtual QRectF boundingRect () const
QwtSeriesData< T > * data ()
const QwtSeriesData< T > * data () const
size_t dataSize () const
T sample (int index) const
void setData (QwtSeriesData< T > *)
virtual void updateScaleDiv (const QwtScaleDiv &, const QwtScaleDiv &)

  Protected Attributes
QwtSeriesData< T > * d_series

Detailed Description

  template<typename T>class QwtPlotSeriesItem< T >
Class template for plot items representing a series of samples.

Constructor & Destructor Documentation

  template<typename T > QwtPlotSeriesItem< T >::QwtPlotSeriesItem (const QString &title = QString::null) [explicit]
Constructor

Parameters:
    title Title of the series item

  template<typename T > QwtPlotSeriesItem< T >::QwtPlotSeriesItem (const QwtText &title) [explicit]
Constructor

Parameters:
    title Title of the series item

Member Function Documentation

  template<typename T > QRectF QwtPlotSeriesItem< T >::boundingRect () const [virtual]
Returns:
    Bounding rectangle of the data. If there is no bounding rect, like for empty data the rectangle is invalid.

See also:
    QwtSeriesData<T>::boundingRect(), QRectF::isValid()

Reimplemented from QwtPlotItem.

Reimplemented in QwtPlotIntervalCurve, and QwtPlotHistogram.

  template<typename T > QwtSeriesData< T > * QwtPlotSeriesItem< T >::data () [inline]
Returns:
    the the curve data

  template<typename T > const QwtSeriesData< T > * QwtPlotSeriesItem< T >::data () const [inline]
Returns:
    the the curve data

  template<typename T > size_t QwtPlotSeriesItem< T >::dataSize () const
Return the size of the data arrays

See also:
    setData()

  template<typename T > T QwtPlotSeriesItem< T >::sample (intindex) const [inline]
Parameters:
    index Index

Returns:
    Sample at position index

  template<typename T> void QwtPlotSeriesItem< T >::setData (QwtSeriesData< T > *data)
Assign a series of samples

Parameters:
    data Data

Warning:
    The item takes ownership of the data object, deleting it when its not used anymore.

  template<typename T > void QwtPlotSeriesItem< T >::updateScaleDiv (const QwtScaleDiv &xScaleDiv, const QwtScaleDiv &yScaleDiv) [virtual]
Update the rect of interest according to the current scale ranges

Parameters:
    xScaleDiv Scale division of the x-axis
    yScaleDiv Scale division of the y-axis

See also:
    QwtSeriesData<T>::setRectOfInterest()

Reimplemented from QwtPlotItem.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.